Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::LRFMetadataParser Class Reference

`#include <LRFMetadataParser.h>`

## Public Member Functions
| LRFMetadataParser (librevenge::RVNGInputStream *input)
void | parse ()
const LRFMetadata & | getMetadata () const

## Private Member Functions
| LRFMetadataParser (const LRFMetadataParser &other)
LRFMetadataParser & | operator= (const LRFMetadataParser &other)

## Private Attributes
LRFMetadata | m_metadata
librevenge::RVNGInputStream *const | m_input

## Constructor & Destructor Documentation

## § LRFMetadataParser() [1/2]

libebook::LRFMetadataParser::LRFMetadataParser | ( | const LRFMetadataParser & | other | ) |
| private

## § LRFMetadataParser() [2/2]

libebook::LRFMetadataParser::LRFMetadataParser | ( | librevenge::RVNGInputStream * | input | ) |
| explicit

## Member Function Documentation

## § getMetadata()

const LRFMetadata & libebook::LRFMetadataParser::getMetadata | ( |  | ) | const

Referenced by libebook::LRFParser::readMetadata().

## § operator=()

LRFMetadataParser& libebook::LRFMetadataParser::operator= | ( | const LRFMetadataParser & | other | ) |
| private

## § parse()

void libebook::LRFMetadataParser::parse | ( |  | ) |

Referenced by libebook::LRFParser::readMetadata().

## Member Data Documentation

## § m_input

librevenge::RVNGInputStream* const libebook::LRFMetadataParser::m_input
| private

## § m_metadata

LRFMetadata libebook::LRFMetadataParser::m_metadata
| private

Referenced by getMetadata().

The documentation for this class was generated from the following files:

- LRFMetadataParser.h
- LRFMetadataParser.cpp